net.sf.jasperreports.charts.fill

## Class JRFillTimeSeries

- java.lang.Object
- - net.sf.jasperreports.charts.fill.JRFillTimeSeries

- All Implemented Interfaces:
    java.lang.Cloneable, JRTimeSeries, JRCloneable

      public class JRFillTimeSeries
      extends java.lang.Object
      implements JRTimeSeries

  Version:
    $Id: JRFillTimeSeries.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JRTimeSeries` | `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRFillTimeSeries(JRTimeSeries timeSeries, JRFillObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `protected void` | `evaluate(JRCalculator calculator)`
    `protected void` | `evaluateItemHyperlink(JRCalculator calculator)`
    `JRHyperlink` | `getItemHyperlink()` Returns the hyperlink specification for chart items.
    `protected java.lang.String` | `getLabel()`
    `JRExpression` | `getLabelExpression()`
    `JRPrintHyperlink` | `getPrintItemHyperlink()`
    `protected java.lang.Comparable<?>` | `getSeries()`
    `JRExpression` | `getSeriesExpression()`
    `protected java.util.Date` | `getTimePeriod()`
    `JRExpression` | `getTimePeriodExpression()`
    `protected java.lang.Number` | `getValue()`
    `JRExpression` | `getValueExpression()`
    `boolean` | `hasItemHyperlink()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### parent

          protected JRTimeSeries parent

  - ### Constructor Detail

    - #### JRFillTimeSeries

          public JRFillTimeSeries(JRTimeSeries timeSeries,
                          JRFillObjectFactory factory)

  - ### Method Detail

    - #### getSeriesExpression

          public JRExpression getSeriesExpression()

      Specified by:
        `getSeriesExpression` in interface `JRTimeSeries`
      Returns:
        a `java.lang.Comparable` object representing the expression of the series name. Specifies the series to which to add the current value pair when incrementing the dataset.

    - #### getTimePeriodExpression

          public JRExpression getTimePeriodExpression()

      Specified by:
        `getTimePeriodExpression` in interface `JRTimeSeries`
      Returns:
        a `java.util.Date` expression from which the engine will extract the corresponding time period depending on the value set for the `timePeriod` attribute.
      See Also:
        `JRTimeSeriesDataset.getTimePeriod()`

    - #### getValueExpression

          public JRExpression getValueExpression()

      Specified by:
        `getValueExpression` in interface `JRTimeSeries`
      Returns:
        a numeric expression representing the value to associate with the corresponding time period value when incrementing the current series of the dataset.

    - #### getLabelExpression

          public JRExpression getLabelExpression()

      Specified by:
        `getLabelExpression` in interface `JRTimeSeries`
      Returns:
        the label expression. If present, it helps customize the item labels inside charts.

    - #### getSeries

          protected java.lang.Comparable<?> getSeries()

    - #### getTimePeriod

          protected java.util.Date getTimePeriod()

    - #### getValue

          protected java.lang.Number getValue()

    - #### getLabel

          protected java.lang.String getLabel()

    - #### evaluate

          protected void evaluate(JRCalculator calculator)
                           throws JRExpressionEvalException

      Throws:
        `JRExpressionEvalException`

    - #### evaluateItemHyperlink

          protected void evaluateItemHyperlink(JRCalculator calculator)
                                        throws JRExpressionEvalException

      Throws:
        `JRExpressionEvalException`

    - #### getItemHyperlink

          public JRHyperlink getItemHyperlink()

      Description copied from interface: `JRTimeSeries`
      Returns the hyperlink specification for chart items.

      The hyperlink will be evaluated for every chart item and a image map will be created for the chart.

      Specified by:
        `getItemHyperlink` in interface `JRTimeSeries`
      Returns:
        hyperlink specification for chart items

    - #### hasItemHyperlink

          public boolean hasItemHyperlink()

    - #### getPrintItemHyperlink

          public JRPrintHyperlink getPrintItemHyperlink()

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com